<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::actuator::ParrotBldc Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1actuator_1_1_parrot_bldc.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1actuator_1_1_parrot_bldc-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::actuator::ParrotBldc Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for Ardrone 2 <a class="el" href="classframework_1_1actuator_1_1_bldc.html" title="Base class for brushless motors drivers. ">Bldc</a>.  
 <a href="classframework_1_1actuator_1_1_parrot_bldc.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_parrot_bldc_8h_source.html">ParrotBldc.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::actuator::ParrotBldc:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1actuator_1_1_parrot_bldc.png" usemap="#framework::actuator::ParrotBldc_map" alt=""/>
  <map id="framework::actuator::ParrotBldc_map" name="framework::actuator::ParrotBldc_map">
<area href="classframework_1_1actuator_1_1_bldc.html" title="Base class for brushless motors drivers. " alt="framework::actuator::Bldc" shape="rect" coords="0,112,189,136"/>
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="0,56,189,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,189,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2c89529a5488b451336dc813c21fd0f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html#a2c89529a5488b451336dc813c21fd0f8">ParrotBldc</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, <a class="el" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a> *layout, std::string name, <a class="el" href="classframework_1_1core_1_1_serial_port.html">core::SerialPort</a> *serialport)</td></tr>
<tr class="memdesc:a2c89529a5488b451336dc813c21fd0f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2c89529a5488b451336dc813c21fd0f8">More...</a><br /></td></tr>
<tr class="separator:a2c89529a5488b451336dc813c21fd0f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bd3e7563823b83a43bf08e1af98b773"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html#a2bd3e7563823b83a43bf08e1af98b773">~ParrotBldc</a> ()</td></tr>
<tr class="memdesc:a2bd3e7563823b83a43bf08e1af98b773"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a2bd3e7563823b83a43bf08e1af98b773">More...</a><br /></td></tr>
<tr class="separator:a2bd3e7563823b83a43bf08e1af98b773"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcba61be3aabf36dc21c4b48a3cb932a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html#adcba61be3aabf36dc21c4b48a3cb932a">HasSpeedMeasurement</a> (void) const </td></tr>
<tr class="memdesc:adcba61be3aabf36dc21c4b48a3cb932a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has speed measurement.  <a href="#adcba61be3aabf36dc21c4b48a3cb932a">More...</a><br /></td></tr>
<tr class="separator:adcba61be3aabf36dc21c4b48a3cb932a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96c090afd202e792a7c19d173a6795b2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html#a96c090afd202e792a7c19d173a6795b2">HasCurrentMeasurement</a> (void) const </td></tr>
<tr class="memdesc:a96c090afd202e792a7c19d173a6795b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has current measurement.  <a href="#a96c090afd202e792a7c19d173a6795b2">More...</a><br /></td></tr>
<tr class="separator:a96c090afd202e792a7c19d173a6795b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1actuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1actuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1actuator_1_1_bldc.html">framework::actuator::Bldc</a></td></tr>
<tr class="memitem:a51bac3502175d806c0720a9c087068bf inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a51bac3502175d806c0720a9c087068bf">Bldc</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, <a class="el" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a> *layout, std::string name, uint8_t motors_count)</td></tr>
<tr class="memdesc:a51bac3502175d806c0720a9c087068bf inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a51bac3502175d806c0720a9c087068bf">More...</a><br /></td></tr>
<tr class="separator:a51bac3502175d806c0720a9c087068bf inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed0806b58da9237351ba8a19d070a1a inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a5ed0806b58da9237351ba8a19d070a1a">Bldc</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">core::Object</a> *parent, std::string name, uint8_t motors_count)</td></tr>
<tr class="memdesc:a5ed0806b58da9237351ba8a19d070a1a inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a5ed0806b58da9237351ba8a19d070a1a">More...</a><br /></td></tr>
<tr class="separator:a5ed0806b58da9237351ba8a19d070a1a inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae69b362d1840052e17830a67ec44afa1 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#ae69b362d1840052e17830a67ec44afa1">~Bldc</a> ()</td></tr>
<tr class="memdesc:ae69b362d1840052e17830a67ec44afa1 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ae69b362d1840052e17830a67ec44afa1">More...</a><br /></td></tr>
<tr class="separator:ae69b362d1840052e17830a67ec44afa1 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9ec4a81b41c679aeadbb0973a693c44 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#af9ec4a81b41c679aeadbb0973a693c44">LockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:af9ec4a81b41c679aeadbb0973a693c44 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock user interface.  <a href="#af9ec4a81b41c679aeadbb0973a693c44">More...</a><br /></td></tr>
<tr class="separator:af9ec4a81b41c679aeadbb0973a693c44 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a087b039432817a763474e897b3f5cdf4 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a087b039432817a763474e897b3f5cdf4">UnlockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:a087b039432817a763474e897b3f5cdf4 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlock user interface.  <a href="#a087b039432817a763474e897b3f5cdf4">More...</a><br /></td></tr>
<tr class="separator:a087b039432817a763474e897b3f5cdf4 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e9a43815c14e0e584f76c516a58a70c inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a4e9a43815c14e0e584f76c516a58a70c">UseDefaultPlot</a> (<a class="el" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tabwidget)</td></tr>
<tr class="memdesc:a4e9a43815c14e0e584f76c516a58a70c inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#a4e9a43815c14e0e584f76c516a58a70c">More...</a><br /></td></tr>
<tr class="separator:a4e9a43815c14e0e584f76c516a58a70c inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25d34de702c4a799e80e839fe4c2929f inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a25d34de702c4a799e80e839fe4c2929f">Output</a> (void) const </td></tr>
<tr class="memdesc:a25d34de702c4a799e80e839fe4c2929f inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Output from motors.  <a href="#a25d34de702c4a799e80e839fe4c2929f">More...</a><br /></td></tr>
<tr class="separator:a25d34de702c4a799e80e839fe4c2929f inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a237bd484c06e990eefa237e74fa6d0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a5a237bd484c06e990eefa237e74fa6d0">MotorsCount</a> (void) const </td></tr>
<tr class="memdesc:a5a237bd484c06e990eefa237e74fa6d0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Motors count.  <a href="#a5a237bd484c06e990eefa237e74fa6d0">More...</a><br /></td></tr>
<tr class="separator:a5a237bd484c06e990eefa237e74fa6d0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964de7e5226e6ee2317ec3d4d13308a0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a964de7e5226e6ee2317ec3d4d13308a0">SetEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a964de7e5226e6ee2317ec3d4d13308a0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable motors.  <a href="#a964de7e5226e6ee2317ec3d4d13308a0">More...</a><br /></td></tr>
<tr class="separator:a964de7e5226e6ee2317ec3d4d13308a0 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a260a95f6c4f20fe661b4793a92b45528 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#a260a95f6c4f20fe661b4793a92b45528">AreEnabled</a> (void) const </td></tr>
<tr class="memdesc:a260a95f6c4f20fe661b4793a92b45528 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Are motors enabled?  <a href="#a260a95f6c4f20fe661b4793a92b45528">More...</a><br /></td></tr>
<tr class="separator:a260a95f6c4f20fe661b4793a92b45528 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa074ef310ada48a7205295c393bc97d1 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#aa074ef310ada48a7205295c393bc97d1">SetPower</a> (int motor_id, float value)</td></tr>
<tr class="memdesc:aa074ef310ada48a7205295c393bc97d1 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set motor power.  <a href="#aa074ef310ada48a7205295c393bc97d1">More...</a><br /></td></tr>
<tr class="separator:aa074ef310ada48a7205295c393bc97d1 inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeda456e3039a119b2e242f86f33176de inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1actuator_1_1_bldc.html#aeda456e3039a119b2e242f86f33176de">GetLayout</a> (void) const </td></tr>
<tr class="memdesc:aeda456e3039a119b2e242f86f33176de inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Layout.  <a href="#aeda456e3039a119b2e242f86f33176de">More...</a><br /></td></tr>
<tr class="separator:aeda456e3039a119b2e242f86f33176de inherit pub_methods_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a38daac1daa593059f052e1f8fbca5644">More...</a><br /></td></tr>
<tr class="separator:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br /></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#a7e7f5d82cab621b617ee19a268e19480">More...</a><br /></td></tr>
<tr class="separator:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a780509d4fa58f743535afebeff1fa568">AddDataToLog</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a780509d4fa58f743535afebeff1fa568">More...</a><br /></td></tr>
<tr class="separator:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a5d6345ad826683212ecb8d182614a77f">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a5d6345ad826683212ecb8d182614a77f">More...</a><br /></td></tr>
<tr class="separator:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64c45d0ae8937692acf28adaaa7a54b3"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c60cdf6bb6b0bff895a785d2981fdf5"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br /></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1actuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1actuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1actuator_1_1_bldc.html">framework::actuator::Bldc</a></td></tr>
<tr class="memitem:ace6b63ba0d31c61cb25235e28fbc16b3 inherit pro_attribs_classframework_1_1actuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace6b63ba0d31c61cb25235e28fbc16b3"></a>
<a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>output</b></td></tr>
<tr class="separator:ace6b63ba0d31c61cb25235e28fbc16b3 inherit pro_attribs_classframework_1_1actuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for Ardrone 2 <a class="el" href="classframework_1_1actuator_1_1_bldc.html" title="Base class for brushless motors drivers. ">Bldc</a>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2c89529a5488b451336dc813c21fd0f8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::actuator::ParrotBldc::ParrotBldc </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a> *&#160;</td>
          <td class="paramname"><em>layout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_serial_port.html">core::SerialPort</a> *&#160;</td>
          <td class="paramname"><em>serialport</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html" title="Class for Ardrone 2 Bldc. ">ParrotBldc</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">layout</td><td>layout </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">serialport</td><td>serialport </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2bd3e7563823b83a43bf08e1af98b773"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::actuator::ParrotBldc::~ParrotBldc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="adcba61be3aabf36dc21c4b48a3cb932a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool framework::actuator::ParrotBldc::HasSpeedMeasurement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Has speed measurement. </p>
<p>Reimplemented from <a class="el" href="classframework_1_1actuator_1_1_bldc.html" title="Base class for brushless motors drivers. ">Bldc</a>. <br />
 </p><dl class="section return"><dt>Returns</dt><dd>true if it has speed measurement </dd></dl>

<p>Implements <a class="el" href="classframework_1_1actuator_1_1_bldc.html#ada01355096b9e0baf3f7da43e5c2e7f4">framework::actuator::Bldc</a>.</p>

</div>
</div>
<a class="anchor" id="a96c090afd202e792a7c19d173a6795b2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool framework::actuator::ParrotBldc::HasCurrentMeasurement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Has current measurement. </p>
<p>Reimplemented from <a class="el" href="classframework_1_1actuator_1_1_bldc.html" title="Base class for brushless motors drivers. ">Bldc</a>. <br />
 </p><dl class="section return"><dt>Returns</dt><dd>true if it has current measurement </dd></dl>

<p>Implements <a class="el" href="classframework_1_1actuator_1_1_bldc.html#aa55e5e301932e6f52f0fa8c51f73a254">framework::actuator::Bldc</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1actuator.html">actuator</a></li><li class="navelem"><a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html">ParrotBldc</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
